ldap acme authentication for old openvms versions ? (294 Views)
Reply
Occasional Visitor
calliet gérard
Posts: 2
Registered: ‎07-20-2009
Message 1 of 6 (294 Views)

ldap acme authentication for old openvms versions ?

I have to use ldap authentication in a cluster vax / alpha.

Vax openvms 6.1
Alpha openvms 7.1

For now, impossible to upgrade neither vaxes nor alphas.

I heard (Hoffman Labs) "The first ACME versions and PATHWORKS LANMAN capabilities were latent in OpenVMS Alpha V7.1".

So is it possible to redo some things and have an ldap ahtentication on alpha openvms 7.1 ?
Please use plain text.
HP Pro
Ian Miller.
Posts: 4,370
Registered: ‎06-03-2003
Message 2 of 6 (294 Views)

Re: ldap acme authentication for old openvms versions ?

possible - I expect so, but HP don't support OpenVMS V7.1 so I don't suppose it will be done.

You may fine the Process Software VMS Authentication Module of interest.
http://www.process.com/VMSauth/index.html

On OpenVMS V7.1 you may be able install enough of Advanced Server to get external authentication to a windows domain without an additional licence.

___________________
Purely Personal Opinion
Please use plain text.
Honored Contributor
marsh_1
Posts: 986
Registered: ‎03-25-2004
Message 3 of 6 (294 Views)

Re: ldap acme authentication for old openvms versions ?

hi,

another product to consider, at least for your alpha's is process softwares authentication module :-


http://www.process.com/VMSauth/OpenVMS%20Auth%20Module.pdf

hth


Please use plain text.
Honored Contributor
Hoff
Posts: 4,932
Registered: ‎01-29-2006
Message 4 of 6 (294 Views)

Re: ldap acme authentication for old openvms versions ?

You've told us your dreams and aspirations and goals here. Now please tell us about your environment and about the constraints; about why these classic old boxes are still in use, and still on these ancient OpenVMS releases. (Some of this configuration is fifteen years old. Or older.)

If you wanted to create your own LGI module or to tie into the latent ACME pieces (which were implemented and deployed underneath the LM authentication), you can likely get a recreation of LDAP authentication working as home-grown code; you'll need the authentication model and the LDAP code for OpenVMS. That probably won't be a complete solution, though. And an LGI-based implementation will be missing some pieces.

Here, these LDAP requirements have just opened up the local discussion of migrating to current versions of OpenVMS, migrating to OpenVMS I64 and newer hardware, or migrating off of OpenVMS entirely. This because custom code to get LDAP-based authentication and to tie your OpenVMS Alpha boxes into Mac OS X Server, Linux or Windows to an OpenVMS release back this far is going to be expensive.

Possible? Sure. A partial solution would be a Simple Matter Of Programming. But that programming will be more expensive than an upgrade to current or potentially even a migration over to OpenVMS I64.

Stephen Hoffman
HoffmanLabs, LLC
Please use plain text.
Occasional Visitor
calliet gérard
Posts: 2
Registered: ‎07-20-2009
Message 5 of 6 (294 Views)

Re: ldap acme authentication for old openvms versions ?

Very difficult to be in a customer's mind.

It's perhaps possible to move to 8.3-1H1 on itanium, but some certifications troubles could come around, some money to spend, some political decisions to take, and so on.

It's not dream, it's hard life.

Thank you for all your answers.
Please use plain text.
HP Pro
Ian Miller.
Posts: 4,370
Registered: ‎06-03-2003
Message 6 of 6 (294 Views)

Re: ldap acme authentication for old openvms versions ?

Remember that doing nothing costs too.
___________________
Purely Personal Opinion
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation